=== debian/changelog ===
pciutils (1:2.2.4-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version.
  * Get rid of build-* rules in debian/rules, don't call build from
    binary-indep and don't touch build-* files.
  * gzip the udeb's stripped pci.ids, but gunzip the deb's pci.ids so
    that programs linked against earlier versions of libpci continue
    to work.  Also modify update-pciids so that it'll install an
    uncompressed version of pci.ids.
  * Change Makefile to not build pcimodules for HURD.  Closes: #380032
  * Improve the error message if we can't read the standard header
  * Remove myself as an Uploader
  [ Matt Taggart ]
  * update pci.ids to 2006-10-27 01:05:01

 -- Matt Taggart <taggart@debian.org>  Fri, 27 Oct 2006 02:55:47 -0700

pciutils (1:2.2.4~pre4-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version
    - Adds -nn option.  Closes: #268031
    - Adds deviceclass field.  Closes: #335665
    - Fixes I/O port access on Hurd.  Closes: #379407

 -- Matthew Wilcox <willy@debian.org>  Fri, 11 Aug 2006 07:34:06 -0400

pciutils (1:2.2.1-2) unstable; urgency=low

  * Fix Maintainer email address

 -- Matthew Wilcox <willy@debian.org>  Wed, 07 Jun 2006 11:09:11 -0400

pciutils (1:2.2.1-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version.  Closes: #329370
    - Builds on HURD.  Closes: #349239
    - Debian GNU/kFreeBSD should now build.  Closes: #292324
    - Uses correct header type for PCI-X.  Closes: #265745
    - u64 is now defined in include/pci/types.h.  Closes: #265771
    - Subsystem vendors now printed correctly.  Closes: #304576
    - Error message corrected.  Closes: #347872
    - nv40 replaced with NV40.  Closes: #343222
    - Memory window size now reported correctly.  Closes: #256607
    - The manpage now explains why capabilties are available only to root.
      Closes: #173274
    - Domains are properly supported.  Closes: #369751
  * New debian maintainers.  Thanks to Remco for his years of service.
  * Added option to use curl (instead of wget or lynx) to retrieve pci.ids
  * Revert patch to change -m format from #250737.  Closes: #347877
  * Move /var/lib/pciutils/pci.ids back to /usr/share/misc/pci.ids.
    Closes: #336331
  * Fix typos in pcimodules manpages.  Closes: #356129, #302142
  * Remove libpci.so.2; depend on libpci2 to provide this for compatibility
    with sarge.
  * Build libpci.a with -fPIC for packages which need to build shared
    libraries.
  * Remove -X option as upstream has vetoed it.  It wasn't actually being
    used anyway.
  * Add -D option (which will be in the next upstream release) to always
    show domains.
  * Stop installing the pciutils.lsm file.

  [ Matt Taggart ]
  * update debian/copyright date and author email address
  * Make the pci.ids update a separate debian/rules target that's not
    invoked in a default build
  * minor cleanups in debian/rules
  * get rid of README.debian, it's redundant with upstream info

 -- Matthew Wilcox <willy@debian.org>  Thu, 20 Apr 2006 21:01:24 -0400

pciutils (1:2.1.11-16) unstable; urgency=low

  * New maintainer, closes: #359915.
  * ACK NMUs, closes: #261536, #271226, #278479, #281411, #281413,
    #284110, #326274.
  * Set Standards-Version to 3.6.2. 
  * Added homepage to package descriptions.
  * Added debian watch file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 30 Mar 2006 08:06:49 +1100

pciutils (1:2.1.11-15.3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload to add a udeb providing lspci for d-i purposes
    Closes: #284110

  [ Colin Watson ]
  * Changes merged from Ubuntu patches:
    - Add pciutils-udeb, for use in the installer. Contains only lspci,
      libpci.so.2, and pci.ids.
    - Reduce pciutils-udeb's copy of pci.ids by over 100KB by removing
      subsystem ids, which I don't think we need in the installer, and
      comments.
    - Move pciutils-udeb's copy of libpci.so.2 to /lib; it seems to confuse
      mklibs less that way.

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Dec 2005 08:16:54 +0100

pciutils (1:2.1.11-15.1) unstable; urgency=low

  * NMU durring BSP
  * remove unneeded wget build-dependancy
  * Store pci.ids under /var for better FHS complicance (closes: #278479)
    patch by Sam Morris
  * Remove pci.ids.old etc when purging the package (closes: #281413)
    patch by Sam Morris
  * fix lspci -F for new or old lspci -x format (closes: #261536)
    based on patch by Ben Pfaff
  * update pci.ids (closes: #281411, hopefully closes: #326274)
	
 -- Blars Blarson <blarson@blars.org>  Sat,  3 Sep 2005 22:07:20 +0000

pciutils (1:2.1.11-15) unstable; urgency=low

  * Updated pci.ids
  * Closes: #259990: pciutils{, -dev}: package description shouldn't
    contain "(for 2.*.* kernels)"
  * Install example.c in package (closes: #228660)

 -- Remco van de Meent <remco@debian.org>  Sun, 18 Jul 2004 10:16:57 +0200

pciutils (1:2.1.11-14) unstable; urgency=medium

  * Added Conflicts with older alsa-utils version (closes: #259661)
  * Updated pci.ids

 -- Remco van de Meent <remco@debian.org>  Fri, 16 Jul 2004 18:38:05 +0200

pciutils (1:2.1.11-13) unstable; urgency=low

  * Updated pci.ids
  * Add pcimodules utility (closes: #253020)
  * Add -X option for output suitable for use in XFree86Config (closes:
    #251828)
  * Fix problem with lspci displaying wrong bar size (closes: #256352)
  * Make machine-readable output better machine-readable (closes:
    #250737)

 -- Remco van de Meent <remco@debian.org>  Fri,  9 Jul 2004 16:13:52 +0200

pciutils (1:2.1.11-12) unstable; urgency=low

  * Oops now with correct replaces versioning

 -- Remco van de Meent <remco@debian.org>  Tue, 20 Apr 2004 23:53:16 +0200

pciutils (1:2.1.11-11) unstable; urgency=low

  * Revert to just the pciutils and pciutils-dev packages (no changes to
    base system allowed currently), hence replaces: libpci2 (closes:
    #244583, #241360, #225512)

